{% extends 'base.html.twig' %}

{% block title %}User index{% endblock %}

{% block body %}
    <h1>User index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id referido</th>
                <th>Usuario</th>
                <th>Email</th>
                <th>Activo</th>
                <th>LastLogin</th>

                <th>Saldo USD</th>
                <th>Saldo CUCQ3</th>
                <th>Pais</th>
                <th>Whatsapp</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.id }}</td>
                <td>{{ user.username }}</td>
                <td>{{ user.email }}</td>
                <td>{{ user.enabled ? 'Yes' : 'No' }}</td>
                <td>{{ user.lastLogin ? user.lastLogin|date('Y-m-d H:i:s') : '' }}</td>

                <td>{{ user.saldousd }}</td>
                <td>{{ user.saldocuc }}</td>
                <td>{{ user.pais }}</td>
                <td>{{ user.whatsapp }}</td>
                <td>

                    <a href="{{ path('user_edit', {'id': user.id}) }}">editar</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="18">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('user_new') }}">Nuevo usuario</a>
{% endblock %}
